FreeMat

- Main Page
- Related Pages

vtkInterpolateDataSetAttributes

Section: Visualization Toolkit Graphics Classes

# Usage

vtkInterpolateDataSetAttributes is a filter that interpolates data set attribute values between input data sets. The input to the filter must be datasets of the same type, same number of cells, and same number of points. The output of the filter is a data set of the same type as the input dataset and whose attribute values have been interpolated at the parametric value specified.

The filter is used by specifying two or more input data sets (total of N), and a parametric value t (0 <= t <= N-1). The output will contain interpolated data set attributes common to all input data sets. (For example, if one input has scalars and vectors, and another has just scalars, then only scalars will be interpolated and output.)

To create an instance of class vtkInterpolateDataSetAttributes, simply invoke its constructor as follows

      obj = vtkInterpolateDataSetAttributes

# Methods

The class vtkInterpolateDataSetAttributes has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInterpolateDataSetAttributes class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInterpolateDataSetAttributes = obj.NewInstance ()`
- `vtkInterpolateDataSetAttributes = obj.SafeDownCast (vtkObject o)`
- `vtkDataSetCollection = obj.GetInputList ()` - Return the list of inputs to this filter.
- `obj.SetT (double )` - Specify interpolation parameter t.
- `double = obj.GetTMinValue ()` - Specify interpolation parameter t.
- `double = obj.GetTMaxValue ()` - Specify interpolation parameter t.
- `double = obj.GetT ()` - Specify interpolation parameter t.